import { HttpClient } from '@angular/common/http';
import { Observable, Subject } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Retrieves information relevant to the navigation component.
 */
export declare class NavigationService {
    private http;
    constructor(http: HttpClient);
    hasTopAd: Subject<boolean>;
    /**
     * Returns all communities the user is a member of.
     */
    getUserGroups(): Observable<Object>;
    logout(): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDef<NavigationService, never>;
    static ɵprov: i0.ɵɵInjectableDef<NavigationService>;
}
